Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneMetricManager

    java.lang.Object
      com.ibm.able.autotune.AutotuneMetricManager

All Implemented Interfaces:
  java.io.Serializable

public class AutotuneMetricManager
extends java.lang.Object
implements java.io.Serializable

The Autotune Metric Manager provides a unified view of all target system metrics to the controllers in the Autotune agent. It serves as an information mediary between controllers and adaptors

See Also:
  Serialized Form

Constructor Summary
`AutotuneMetricManager()`

Method Summary
`void` | `addAdaptorMetrics(AutotuneAdaptor adaptor)` an adaptor has been added to the autotune agent request all information on metrics from the adaptor
`void` | `addMetric(AutotuneMetric metric)`
`java.util.Hashtable` | `getAllMetrics()` returns a list of all metrics known to this agent
`java.util.Vector` | `getConfigurationMetrics()` returns all configuration metrics known to this agent
`boolean` | `getLogData()` see if logging is turned on or off
`java.lang.String` | `getLogDataFileName()` get the name of the file we are writing log data to
`AutotuneMetricCollection` | `getLoggingMetrics()`
`AutotuneMetric` | `getMetric(java.lang.String metricName)` return the specified metric
`AutotuneMetricCollection` | `getMetrics()`
`java.util.Vector` | `getServiceLevelMetrics()` returns all service level metrics known to this agent
`java.util.Vector` | `getTuningControlMetrics()` returns all tuning control metrics known to this agent
`java.util.Vector` | `getWorkloadMetrics()` returns all workload metrics known to this agent
`void` | `init(java.util.Vector adaptors)` initialize the Metric manager walk through all adaptors and get metric info
`boolean` | `isLogData()` see if logging is turned on or off
`void` | `removeMetric(AutotuneMetric metric)`
`void` | `setLogData(boolean state)` turn logging on or off
`void` | `setLogDataFileName(java.lang.String fileName)` set the name of the file to write log data to
`void` | `setLoggingMetrics(AutotuneMetricCollection metrics)`
`void` | `writeLogData()` write a single record to the log file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutotuneMetricManager

    public AutotuneMetricManager()

Method Detail

### init

    public void init(java.util.Vector adaptors)
              throws AbleException

  initialize the Metric manager walk through all adaptors and get metric info

  Throws:
    `AbleException`

### addMetric

    public void addMetric(AutotuneMetric metric)

### removeMetric

    public void removeMetric(AutotuneMetric metric)

### getAllMetrics

    public java.util.Hashtable getAllMetrics()

  returns a list of all metrics known to this agent

### getMetric

    public AutotuneMetric getMetric(java.lang.String metricName)

  return the specified metric

### getWorkloadMetrics

    public java.util.Vector getWorkloadMetrics()

  returns all workload metrics known to this agent

### getConfigurationMetrics

    public java.util.Vector getConfigurationMetrics()

  returns all configuration metrics known to this agent

### getServiceLevelMetrics

    public java.util.Vector getServiceLevelMetrics()

  returns all service level metrics known to this agent

### getTuningControlMetrics

    public java.util.Vector getTuningControlMetrics()

  returns all tuning control metrics known to this agent

### getMetrics

    public AutotuneMetricCollection getMetrics()

### getLoggingMetrics

    public AutotuneMetricCollection getLoggingMetrics()

### setLoggingMetrics

    public void setLoggingMetrics(AutotuneMetricCollection metrics)

### addAdaptorMetrics

    public void addAdaptorMetrics(AutotuneAdaptor adaptor)
                           throws AbleException

  an adaptor has been added to the autotune agent request all information on metrics from the adaptor

  Throws:
    `AbleException`

### setLogData

    public void setLogData(boolean state)

  turn logging on or off

### getLogData

    public boolean getLogData()

  see if logging is turned on or off

### isLogData

    public boolean isLogData()

  see if logging is turned on or off

### setLogDataFileName

    public void setLogDataFileName(java.lang.String fileName)

  set the name of the file to write log data to

### getLogDataFileName

    public java.lang.String getLogDataFileName()

  get the name of the file we are writing log data to

### writeLogData

    public void writeLogData()
                      throws AbleException

  write a single record to the log file

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005